Get Cash Flow
curl --request GET \
--url https://api.meetcampfire.com/ca/api/get_cash_flow \
--header 'Authorization: <api-key>'import requests
url = "https://api.meetcampfire.com/ca/api/get_cash_flow"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.meetcampfire.com/ca/api/get_cash_flow', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cash_flow": [
{
"account_id": "12088",
"account_name": "Accounts Receivable",
"account_number": "120000",
"hierarchy": [
"OPERATING",
"ADJUSTMENTS_TO_NET_INCOME",
"12088"
],
"transaction_activity": {
"2023-10-01": null,
"2023-11-01": -1400
},
"Total": -1400
},
{
"account_id": "12235",
"account_name": "Expense Card ****3293",
"account_number": "220012",
"hierarchy": [
"OPERATING",
"ADJUSTMENTS_TO_NET_INCOME",
"12235"
],
"transaction_activity": {
"2023-10-01": 4.639999999999972,
"2023-11-01": -104.85999999999997
},
"Total": -100.22
}
]
}Financial Statements
Get Cash Flow
GET
/
ca
/
api
/
get_cash_flow
Get Cash Flow
Authorizations
Token-based authentication with required prefix "Token"
Query Parameters
Available options:
daily, monthly, quarterly, weekly, yearly Latest date (inclusive) for which to retrieve data. Defaults to end of current month
Entity ID(s) to scope the report. Can be repeated (?entity=1&entity=2) or JSON array
If true, includes all data of children entities in consolidation
Earliest date (inclusive) for which to retrieve data. Defaults to six months ago
⌘I